
import com.imsl.chart.*;
import java.awt.Color;

public class SampleLogLog extends JFrameChart {

    public SampleLogLog() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        axis.setTransform(AxisXY.TRANSFORM_LOG);
        axis.setDensity(9);
        axis.setTextFormat(new java.text.DecimalFormat("0.E0"));

        double x[] = {1e1, 1e2, 1e3, 1e4, 1e5};
        double y[] = {4e2, 6e6, 2e3, 1e4, 8e1};
        Data data = new Data(axis, x, y);
        data.setDataType(Data.DATA_TYPE_LINE | Data.DATA_TYPE_MARKER);
        data.setLineColor(Color.blue);
        data.setMarkerType(Data.MARKER_TYPE_FILLED_SQUARE);
    }

    public static void main(String argv[]) {
        new SampleLogLog().setVisible(true);
    }
}
